<bugID>876944<Summary>CustomizeMode.jsm needs to handle onWidgetCreated/onWidgetDestroyed events</Summary><Description>CustomizeMode.jsm needs to handle the cases when an API widgets is created or destroyed, via the onWidgetCreated and onWidgetDestroyed events.

Note also bug 876926, which probably necessitates the need for a onWidgetDestroying event.</Description></bugID>